﻿// ----------------------------------------------------------------------------------
//
// Copyright Microsoft Corporation
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
// http://www.apache.org/licenses/LICENSE-2.0
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
// ----------------------------------------------------------------------------------

using System;
using System.Linq;
using Microsoft.Azure.Commands.Common.Authentication;

namespace Microsoft.Azure.Commands.ResourceManager.Common
{
    public static class AccessTokenExtensions
    {
        public static string GetDomain(this IAccessToken token)
        {
            if (token != null)
            {
                return GetDomain(token.UserId);
            }

            return null;
        }

        public static string GetDomain(string emailString)
        {
            string result = null;
            if (emailString != null && emailString.Contains('@'))
            {
                result = emailString.Split(
                    new[] { '@' },
                    StringSplitOptions.RemoveEmptyEntries).Last();
            }

            return result;
        }
    }
}
